PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PHTML::InputPassword Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::InputPassword:
[legend]
Collaboration diagram for PHTML::InputPassword:
[legend]

## Public Member Functions
| InputPassword (const char *fname, int size, const char *init=NULL, const char *attr=NULL)
| InputPassword (const char *fname, int size, DisableCodes disabled, const char *attr=NULL)
| InputPassword (const char *fname, int size, int maxLength, DisableCodes disabled=Enabled, const char *attr=NULL)
| InputPassword (const char *fname, int size, const char *init, int maxLength, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~InputPassword ()
Public Member Functions inherited from PHTML::InputText
| InputText (const char *fname, int size, const char *init=NULL, const char *attr=NULL)
| InputText (const char *fname, int size, DisableCodes disabled, const char *attr=NULL)
| InputText (const char *fname, int size, int maxLength, DisableCodes disabled=Enabled, const char *attr=NULL)
| InputText (const char *fname, int size, const char *init, int maxLength, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~InputText ()

## Additional Inherited Members
Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }
Protected Member Functions inherited from PHTML::InputText
| InputText (const char *type, const char *fname, int size, const char *init, int maxLength, DisableCodes disabled, const char *attr)
virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::InputPassword::InputPassword | ( | const char * | fname,
|  | int | size,
|  | const char * | init = `NULL`,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::InputPassword::InputPassword | ( | const char * | fname,
|  | int | size,
|  | DisableCodes | disabled,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::InputPassword::InputPassword | ( | const char * | fname,
|  | int | size,
|  | int | maxLength,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::InputPassword::InputPassword | ( | const char * | fname,
|  | int | size,
|  | const char * | init,
|  | int | maxLength,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL`
| ) |  |

virtual PHTML::InputPassword::~InputPassword | ( |  | ) |
| inline virtual

The documentation for this class was generated from the following file:

- html.h